API referenceAssets
POST /api/Assets/UpdateEndRepresentation
Updates the end representation of the Assets
POST
/api/Assets/UpdateEndRepresentationcurl -X POST "/api/Assets/UpdateEndRepresentation" \
-H "Authorization: $ATLAS_ETRM_API_DOCUMENTATION_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"data": [
{
"assetId": 0,
"externalId": "string",
"assetEndRepresentationDate": "2026-01-15T09:30:00Z"
}
]
}'Authorization
AuthorizationstringheaderrequiredJWT Authorization header using the Bearer scheme. Enter your token including the 'Bearer ' prefix (e.g. 'Bearer eyJ...').
Body
application/json
dataEtrmApiGateway.DTOs.AssetManagement.AssetEndRepresentationDto[] | null
Response
application/json
OK
successbooleanerrorCodestring | nullerrorMessagestring | nullwarningMessagestring | nullinfoMessagestring | nullrecordCountinteger<int32>databoolean
{
"success": true,
"errorCode": "string",
"errorMessage": "string",
"warningMessage": "string",
"infoMessage": "string",
"recordCount": 0,
"data": true
}